Subject: Re: bug#11367: 24.0.95.1 Crash: Windows 7 using egg

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Apr 2012 20:22:51 +0300

> From: Michael Kleehammer <[email-masked]>
> Date: Sat, 28 Apr 2012 11:32:10 -0500
> 
> Sorry for the delay.  It stopped aborting at exactly the same place,
> on multiple machines, with
> and without -Q.  I tried a lot of combinations and it seems that
> adding one more step, a C-n, does it.

Whatever you do to reproduce this, please keep all your steps
identical, so that values reported in different messages are
consistent.  If you need to change the steps for some reason, please
make sure that the values you reported in previous mails are still the
same, or if not, show the new values.  TIA.

> >  (gdb) pgrowx it3.glyph_row
> 
> TEXT: 7 glyphs
>   0    0: CHAR[m] pos=1 blev=0,btyp=L w=14 a+d=16+5 face=19 MB
>   1   14: CHAR[a] pos=2 blev=0,btyp=L w=8 a+d=16+5 face=19 MB
>   2   22: CHAR[s] pos=3 blev=0,btyp=L w=7 a+d=16+5 face=19 MB
>   3   29: CHAR[t] pos=4 blev=0,btyp=L w=6 a+d=16+5 face=19 MB
>   4   35: CHAR[e] pos=5 blev=0,btyp=L w=8 a+d=16+5 face=19 MB
>   5   43: CHAR[r] pos=6 blev=0,btyp=L w=6 a+d=16+5 face=19 MB
>   6   49: CHAR[ ] pos=0 blev=0,btyp=B w=8 a+d=13+4 MB

??? This is entirely unexpected, since it3.current shows that the
iterator is at position 445.  I'm probably missing something important
here...

What do these commands produce:

 (gdb) p top
 (gdb) p start
 (gdb) p end
 (gdb) p top_y
 (gdb) p (g-20)->object

> * Press 's' to stage the file which will remove file1 from the bottom
> section and create a new file1 section
>   showing a diff.
> 
>   s
> 
> * At this point it may crash.  If not, the cursor should be on the
> file1 filename in the new
>   section.  Press C-n once to crash.

Can you describe or produce a snapshot of the screen before that C-n
keypress?

Thanks.